Discover Posts by Keyword
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"keyword": "<string>",
"date": "<string>",
"num_of_posts": 123
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"keyword": "<string>",
"date": "<string>",
"num_of_posts": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{keyword: '<string>', date: '<string>', num_of_posts: 123}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"post_id": "1bsdf34",
"url": "https://www.reddit.com/r/MachineLearning/comments/1bsdf34/",
"user_posted": "ml_researcher",
"title": "New paper on transformer efficiency",
"description": "Sharing a recent paper...",
"num_upvotes": 842,
"num_comments": 54,
"date_posted": "2026-04-03T09:14:00Z",
"tag": "Research",
"community_name": "MachineLearning",
"community_url": "https://www.reddit.com/r/MachineLearning",
"community_description": "Beginners to experts.",
"community_members_num": 2900000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
Reddit
Discover posts by keyword
Use the Bright Data Web Scraper API to discover Posts by Keyword. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Discover Posts by Keyword
Query Parameters
The dataset ID used for this request.
Must be set to
gd_lvz8ah06191smkebj4 to collect Discover by keyword data.Must be set to
discover_new.Must be set to
keyword.Whether to send notifications when the request is completed.
Whether to include errors in the response.
Request Body
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{"keyword": "machine learning", "date": "Past week", "num_of_posts": 100},
{"keyword": "python tips", "date": "Past month", "num_of_posts": 50}
]
}
[
{
"post_id": "1bsdf34",
"url": "https://www.reddit.com/r/MachineLearning/comments/1bsdf34/",
"user_posted": "ml_researcher",
"title": "New paper on transformer efficiency",
"description": "Sharing a recent paper...",
"num_upvotes": 842,
"num_comments": 54,
"date_posted": "2026-04-03T09:14:00Z",
"tag": "Research",
"community_name": "MachineLearning",
"community_url": "https://www.reddit.com/r/MachineLearning",
"community_description": "Beginners to experts.",
"community_members_num": 2900000,
"community_rank": null,
"related_posts": [],
"comments": [],
"photos": [],
"videos": []
}
]
Was this page helpful?
⌘I